## cfitsio3 3.280

=== debian/changelog ===
cfitsio3 (3.280-1ubuntu2) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Sep 2011 23:58:14 +0200

cfitsio3 (3.280-1ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Drop cfortran build dependency, use the included cfortran header (universe).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jun 2011 18:01:40 +0200

cfitsio3 (3.280-1) unstable; urgency=low

  * New upstream version. 
  * Upgrade Standard-Version to 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 Jun 2011 19:19:55 +0200

cfitsio3 (3.260-1ubuntu2) oneiric; urgency=low

  * Drop cfortran build dependency, use the included cfortran header (universe).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 May 2011 14:56:09 +0200

cfitsio3 (3.260-1) unstable; urgency=low

  * New upstream version.  Closes: #615612.
  * Use system zlib instead of embedded copy.  Closes: #613383.
  * Use system cfortran header instead of embedded copy.  Closes: #613379. 
  * Add zlib and cfortran licenses to debian/copyright, even if these 
    files are not used to build the package.  Closes: #613384.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 12:18:46 +0100

cfitsio3 (3.250-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental.
  * Upgrade Standard-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Dec 2010 16:59:33 +0100

cfitsio3 (3.240-1) unstable; urgency=low

  * New upstream version:
    - drop 05-sh4.diff (merged upstream).
  * Upgrade Standard-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Feb 2010 23:26:30 +0100

cfitsio3 (3.230-2) unstable; urgency=low

  * Add 05-sh4.diff to series.  Closes: #564884.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Jan 2010 06:36:54 +0100

cfitsio3 (3.230-1) unstable; urgency=low

  * New upstream version.
  * Add {misc:Depends} to all packages.
  * Add 05-sh4.patch from Nobuhiro Iwamatsu.  Closes: #564884.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 12 Jan 2010 22:48:41 +0100

cfitsio3 (3.210-3) unstable; urgency=low

  * Link the shared library with pthread. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Nov 2009 00:46:25 +0100

cfitsio3 (3.210-2) unstable; urgency=low

  * 04-pthread-mutex.patch: new patch to fix build on non-Linux 
    architectures.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 Nov 2009 15:32:18 +0100

cfitsio3 (3.210-1) unstable; urgency=low

  * New upstream version. 
  * Upgrade Standard-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Nov 2009 07:42:56 +0000

cfitsio3 (3.140-2) unstable; urgency=low

  * Move libcfitsio3-dbg to section debug.
  * Rework debian/rules.
  * Install cfitsio.pc.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 11 May 2009 17:54:11 +0200

cfitsio3 (3.140-1) unstable; urgency=low

  * New upstream version. 
  * Upgrade Standard-Version to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 07 Apr 2009 09:37:44 +0200

cfitsio3 (3.130-2) unstable; urgency=low

  * Add symbols file. 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Feb 2009 20:36:47 +0100

cfitsio3 (3.130-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 Oct 2008 18:45:36 +0200

cfitsio3 (3.090-1) unstable; urgency=low

  * New upstream version.
  * Upgrade Standard-Version to 3.8.0 (no changes).
  * Change build-dependency to texlive from textex-bin.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 16:26:40 +0200

cfitsio3 (3.080-2) unstable; urgency=low

  * Use dpkg-parsechangelog to get the version (closes: bug#483325).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 May 2008 17:03:07 +0200

cfitsio3 (3.080-1) unstable; urgency=low

  * New upstream version.
  * Use quilt for patch management. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 May 2008 17:21:00 +0200

cfitsio3 (3.060-2) unstable; urgency=low

  * Build back with -O2 on hppa.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Jan 2008 23:53:13 +0100

cfitsio3 (3.060-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Jan 2008 18:02:08 +0100

cfitsio3 (3.040-6) unstable; urgency=medium

  * Build with -O1 on hppa.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Dec 2007 01:26:19 +0100

cfitsio3 (3.040-5) unstable; urgency=low

  * Link the shared library with libm (closes: bug#454812). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Dec 2007 00:44:22 +0100

cfitsio3 (3.040-4) unstable; urgency=low

  * Add a -dbg package. Thanks to Sebastian Harl for the patch (closes:
    bug#433461).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Jul 2007 11:43:14 +0200

cfitsio3 (3.040-3) unstable; urgency=low

  * Fix gfortran detection (closes: bug#433153). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Jul 2007 00:57:39 +0200

cfitsio3 (3.040-2) unstable; urgency=low

  * Switch to gfortran from g77.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Jun 2007 01:47:04 +0200

cfitsio3 (3.040-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: explicitely state that the library as a whole, as
    shipped by Debian is distributed under the GPL license.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 May 2007 22:15:28 +0200

cfitsio3 (3.030-2) unstable; urgency=low

  * Make the package binNMU safe. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  5 Mar 2007 21:28:33 +0100

cfitsio3 (3.030-1) unstable; urgency=low

  * New upstream version.
  * New maintainer (closes: bug#405733).
  * Add libc-dev as an alternative to libc6-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 21 Jan 2007 23:31:27 +0100

cfitsio3 (3.006-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #405733

 -- Michael Ablassmeier <abi@debian.org>  Fri, 19 Jan 2007 08:39:29 +0100

cfitsio3 (3.006-1.3) unstable; urgency=low


