## cfitsio3 3.290

=== debian/changelog ===
cfitsio3 (3.290-1ubuntu1) precise; urgency=low

  * Merge from Debian testing. (LP: #906883) Remaining changes:
    - Drop cfortran build dependency, use the included cfortran header (universe).

 -- Angel Abad <angelabad@gmail.com>  Tue, 20 Dec 2011 14:30:07 +0100

cfitsio3 (3.290-1) unstable; urgency=low

  * New upstream version. 
    - Refresh patches
    - Update symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Dec 2011 22:01:57 +0100

cfitsio3 (3.280-2ubuntu1) precise; urgency=low

  * Merge from debian unstable. (LP: #817067) Remaining changes:
    - Drop cfortran build dependency, use the included cfortran header (universe).

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 27 Jul 2011 17:26:36 +0200

cfitsio3 (3.280-2) unstable; urgency=low

  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libcfitsio3 and set it 
      Multi-Arch: same.
    - Install the library in the multiarch path.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jun 2011 07:35:13 +0200
