=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: cfitsio3
 Section: devel
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 5), texlive, gfortran, zlib1g-dev, hevea, texlive
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Build-Depends: debhelper (>= 8.1.3), texlive, gfortran, zlib1g-dev, hevea, texlive
 Standards-Version: 3.9.2
 
 Package: libcfitsio3-dev
@@ -27,6 +28,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libcfitsio3 (= ${binary:Version}), ${misc:Depends}
 Description: library for I/O with FITS format data files (debugging symbols)
  FITS (Flexible Image Transport System) is a data format most used in
@@ -43,6 +45,8 @@
 
 Package: libcfitsio3
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: cfitsio3
 Conflicts: cfitsio3
