=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+CFLAGS = -Wall -fPIC
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
 
 version=$(shell dpkg-parsechangelog | sed -e '/^Version/!d;s/^Version: //g;s/.*://g;s/-.*//g')
 major=$(shell dpkg-parsechangelog | sed -e '/^Version/!d;s/^Version: //g;s/\..*//g')
@@ -24,7 +28,9 @@
 build-arch-stamp:
 	dh_testdir
 
-	CFLAGS="$(CFLAGS) -fPIC" ./configure --prefix=/usr \
+	CFLAGS="$(CFLAGS)" ./configure \
+		--prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--enable-reentrant
@@ -73,11 +79,11 @@
 	dh_installdirs -s
 
 	# Main install
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp CFITSIO_LIB=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	
-	install libcfitsio.so.* $(CURDIR)/debian/tmp/usr/lib
-	ln -s libcfitsio.so.$(version) $(CURDIR)/debian/tmp/usr/lib/libcfitsio.so.$(major)
-	ln -s libcfitsio.so.$(major) $(CURDIR)/debian/tmp/usr/lib/libcfitsio.so
+	install libcfitsio.so.* $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	ln -s libcfitsio.so.$(version) $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcfitsio.so.$(major)
+	ln -s libcfitsio.so.$(major) $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcfitsio.so
 
 	dh_install --list-missing --sourcedir=debian/tmp
