## cfitsio3 3.300

=== debian/changelog ===
cfitsio3 (3.300-2) unstable; urgency=low

  * Fix undefined off_t on mips and mipsel when buildig with -std=c99. 
    Closes: bug#671835.
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 13:25:31 +0200

cfitsio3 (3.300-1) unstable; urgency=low

  * New upstream version:
    - Refresh patches.
    - Update symbols file.
  * Upgrade Standard-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Apr 2012 18:47:57 +0200
