=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: cfitsio3
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 8.1.3), texlive, gfortran, zlib1g-dev, hevea, texlive
-Standards-Version: 3.9.2
+Maintainer: Aurelien Jarno <aurel32@debian.org>
+Build-Depends: debhelper (>= 8.1.3), texlive, gfortran, cfortran, zlib1g-dev, hevea, texlive
+Standards-Version: 3.9.3
 
 Package: libcfitsio3-dev
 Section: libdevel
