=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 
 CFLAGS = -Wall -fPIC
 CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 version=$(shell dpkg-parsechangelog | sed -e '/^Version/!d;s/^Version: //g;s/.*://g;s/-.*//g')
 major=$(shell dpkg-parsechangelog | sed -e '/^Version/!d;s/^Version: //g;s/\..*//g')
@@ -28,16 +30,16 @@
 build-arch-stamp:
 	dh_testdir
 
-	CFLAGS="$(CFLAGS)" ./configure \
+	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CPPFLAGS) $(CFLAGS)" LD_FLAGS="$(LDFLAGS)" ./configure \
 		--prefix=/usr \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--enable-reentrant
 	$(MAKE)
-	gcc -shared -D_REENTRANT \
-	-Wl,-zdefs -Wl,-soname,libcfitsio.so.$(major) \
-	-o libcfitsio.so.$(version) `echo *.o` -lm -lpthread -lz
+	gcc $(LDFLAGS) -shared -D_REENTRANT \
+		-Wl,-zdefs -Wl,-soname,libcfitsio.so.$(major) \
+		-o libcfitsio.so.$(version) `echo *.o` -lm -lpthread -lz
 
 	touch $@
