## cfitsio3 3.310

=== debian/changelog ===
cfitsio3 (3.310-1) experimental; urgency=low

  * New upstream version.
  * Compress .deb with xz.
  * Update symbols file.
  * Use cc as the compiler instead of gcc.
  * Upgrade Standard-Version to 3.9.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 Nov 2012 14:46:02 +0100
