=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>= 8.1.3), texlive, gfortran, cfortran, zlib1g-dev, hevea, texlive
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: libcfitsio3-dev
 Section: libdevel
