=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 		--infodir=\$${prefix}/share/info \
 		--enable-reentrant
 	$(MAKE)
-	gcc $(LDFLAGS) -shared -D_REENTRANT \
+	cc $(LDFLAGS) -shared -D_REENTRANT \
 		-Wl,-zdefs -Wl,-soname,libcfitsio.so.$(major) \
 		-o libcfitsio.so.$(version) `echo *.o` -lm -lpthread -lz
 
@@ -103,7 +103,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i
+	dh_builddeb -i -- -Zxz
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -122,7 +122,7 @@
 	dh_shlibdeps
 	dh_gencontrol -a 
 	dh_md5sums -a 
-	dh_builddeb -a
+	dh_builddeb -a -- -Zxz
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
