## cfitsio3 3.340

=== debian/changelog ===
cfitsio3 (3.340-3) unstable; urgency=medium

  * Rewrite debian/rules using dh and use dh-autoreconf.
  * Upgrade Standard-Version to 3.9.5 (no changes).
  * Move examples from libcfitsio3-dev to libcfitsio3-doc. Mark
    libcfitsio3-dev as Multi-Arch: same.
  * Backport arm64 support from upstream.  Closes: #733753.
  * Backport ppc64el support from upstream.  Closes: #733649.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 18 Jul 2014 20:33:58 +0200

cfitsio3 (3.340-2) unstable; urgency=low

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 21:55:04 +0200

cfitsio3 (3.340-1) experimental; urgency=low

  * New upstream version. Closes: bug#720905.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 18:35:59 +0200
