=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 8.1.3), texlive, gfortran, cfortran, zlib1g-dev, hevea, texlive
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), dh-autoreconf, gfortran, cfortran, zlib1g-dev
+Build-Depends-Indep: hevea, texlive
+Standards-Version: 3.9.5
 
 Package: libcfitsio3-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Provides: cfitsio-dev
 Conflicts: cfitsio-dev
 Replaces: cfitsio-dev
@@ -67,7 +69,8 @@
 Suggests: libcfitsio-dev
 Provides: cfitsio-doc
 Conflicts: cfitsio-doc
-Replaces: cfitsio-doc
+Replaces: cfitsio-doc, libcfitsio3-dev (<< 3.340-3)
+Breaks: libcfitsio3-dev (<< 3.340-3)
 Description: documentation for cfitsio
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. cfitsio is a library of ANSI C routines for reading and
