=== debian/rules ===
#!/usr/bin/make -f

version=$(shell dpkg-parsechangelog | sed -e '/^Version/!d;s/^Version: //g;s/.*://g;s/-.*//g')
major=$(shell dpkg-parsechangelog | sed -e '/^Version/!d;s/^Version: //g;s/\..*//g')

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_clean:
	dh_auto_clean
	rm -f libcfitsio.*
	rm -rf cfitsio fitsio quick

override_dh_auto_configure:
	dh_auto_configure -- --enable-reentrant

override_dh_auto_build-arch:
	dh_auto_build
	cc $(LDFLAGS) -shared -D_REENTRANT \
		-Wl,-zdefs -Wl,-soname,libcfitsio.so.$(major) \
		-o libcfitsio.so.$(version) `echo *.o` -lm -lpthread -lz

override_dh_auto_build-indep:
	# cfitsio.tex
	mkdir -p $(CURDIR)/cfitsio
	hevea -fix -o $(CURDIR)/cfitsio/cfitsio cfitsio.tex
	cd $(CURDIR)/cfitsio && hacha cfitsio && rm -f cfitsio *.haux *.htoc *.hind

	# fitsio
	mkdir -p $(CURDIR)/fitsio
	hevea -fix -o $(CURDIR)/fitsio/fitsio fitsio.tex
	cd $(CURDIR)/fitsio && hacha fitsio && rm -f fitsio *.haux *.htoc *.hind

	# quik
	mkdir -p $(CURDIR)/quick
	hevea -fix -o $(CURDIR)/quick/quick quick.tex
	cd $(CURDIR)/quick && hacha quick && rm -f quick *.haux *.htoc *.hind

override_dh_auto_install-arch:
	dh_auto_install
	install libcfitsio.so.* $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s libcfitsio.so.$(version) $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcfitsio.so.$(major)
	ln -s libcfitsio.so.$(major) $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcfitsio.so

override_dh_strip:
	dh_strip --dbg-package=libcfitsio3-dbg
